@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
    --navbar-height: 70px;
    --ff: "Montserrat", sans-serif;

    --dark-color: #212529;
    --dark-color-light: #33383d;
    --dark-accent-color: rgb(75, 64, 38);
    --accent-color: rgba(255, 187, 0, 0.89);
    --accent-color-light: rgb(255, 225, 0);
}

*,
*::after,
*::before {
    box-sizing: border-box;
}

body,
html {
    font-family: var(--ff);
}

/* UTILITIES */
.center-item {
    align-self: center;
}

.info-button:focus,
.btn-important:focus {
    outline: none;
    border: 0px;
    -webkit-box-shadow: 0px;
    box-shadow: 0px;
}

.info-button:hover,
.info-button:focus {
    color: rgb(63, 198, 198);
}

.btn-important {
    background-color: var(--accent-color);
}

.btn-important:hover {
    background-color: var(--accent-color-light);
    color: var(--dark-color);
}

.custom-popover {
    --bs-popover-max-width: 300px;
    --bs-popover-border-color: rgb(63, 198, 198);
    --bs-popover-body-padding-x: 1rem;
    --bs-popover-body-padding-y: 0.5rem;
}

/* NAVBAR */
@media (max-width: 992px) {
    #main-navbar-items {
        background-color: var(--dark-color);
        padding-inline: 1.5rem;
        padding-block: 0.8rem;
        gap: 1rem;
    }

    .dropdown-menu {
        display: none;
        flex-direction: column;
        margin-inline: 1.25rem;
        padding-block: 2px;
    }

    #menu-met[data-visible="true"] {
        display: flex;
    }
}

@media (min-width: 992px) {
    .dropdown-menu {
        display: none;
        flex-direction: column;
        margin: 0;
        padding-block: 1rem;
        padding-inline: 1rem;
    }

    #menu-met[data-visible="true"] {
        display: flex;
    }
}

.dropdown-menu[data-bs-popper] {
    margin-top: 0;
}

.navbar {
    display: flex;
    flex-direction: row;

    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    margin: 0;

    align-items: baseline;

    background-color: var(--dark-color);
    box-shadow: 0px 6px 16px -6px var(--dark-color);
}

#navbar-brand {
    padding-left: 1.5rem;
    margin: 0;
    margin-right: 1.5rem;
    font-weight: 700;
}

.nav-link {
    font-weight: 500;
}

#navbar-brand:hover {
    color: var(--accent-color);
    transition: all 0.25s ease-out;
}

.navbar-toggler {
    margin-right: 1.5rem;
    border-color: var(--dark-color);
}

.btn-check:focus+.btn,
.btn:focus {
    outline: 0;
    box-shadow: 0 0 0 0;
}

.navbar-toggler-icon {
    font-size: 0.8rem;
}

.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus {
    outline: none;
    box-shadow: none;
}

.btn-dark:focus,
.btn-dark:active {
    outline: none !important;
    box-shadow: none !important;
}

.dropdown-menu {
    --bs-dropdown-link-hover-bg: transparent;
    --bs-dropdown-link-hover-color: var(--accent-color);
    --bs-dropdown-link-active-bg: transparent;
    --bs-dropdown-link-active-color: var(--accent-color);
    border: 0px transparent;
}

.navbar-nav .nav-link.active,
.navbar-nav .nav-link.show {
    color: var(--accent-color);
}

.nav-link:hover,
.nav-link:focus {
    color: var(--accent-color);
    transition: all 0.25s ease-out;
}

.dropdown-toggle {
    padding: 0;
    margin-block: auto;
    margin-inline: 1rem;
}

.dropdown-item {
    display: flex;
    flex-grow: 1;
    padding-block: 4px;
    padding-inline: 8px;
}

.dropdown-submenu {
    display: none;
    list-style-type: none;
    padding-inline: 1rem;
    margin-block: 5px;
    margin-inline: 5px;

    background-color: var(--dark-color-light);
    border-radius: 10px;
}

.dropdown-submenu[data-visible="true"] {
    display: flex;
    flex-direction: column;
}

/* HOME MAIN SECTION */
#jumbotron {
    padding-top: var(--navbar-height);
    height: 100%;
}

.jumbotron-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0;
    padding: 0;
}

.jumbotron-title>button {
    height: 40px;
}

.home__video {
    position: fixed;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translateX(-50%) translateY(-50%);
    z-index: -5;
}

.home__overlay {
    position: fixed;
    left: 0;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: black;
    opacity: 0.4;
    z-index: -2;
}

/* MAIN CONTAINER */
.main-container {
    padding-top: var(--navbar-height);
}

.container-fluid {
    display: flex;
    flex-direction: column;
}

/* PRONOSTICO WRF */
/* NAVIGATION */
.nav-tabs .nav-link:focus,
.nav-tabs .nav-link:hover {
    isolation: unset;
    border-color: transparent;
}

.nav-tabs {
    margin-bottom: 0;
    display: flex;
    justify-content: center;
    gap: 0.5rem 1.25rem;
    --bs-nav-tabs-border-width: 0;
    --bs-nav-tabs-border-color: transparent;
    --bs-nav-tabs-link-active-color: white;
    --bs-nav-tabs-link-active-bg: var(--dark-color);
    --bs-nav-tabs-link-active-border-color: transparent;
}

.variables_tab .nav-link {
    color: var(--dark-color);
    font-size: 0.8rem;
    font-weight: 600;
    border-radius: 1.5rem;
    border: 2px solid var(--dark-color);
}

.variables_tab .nav-link:hover,
.variables_tab .nav-link.active {
    background-color: var(--dark-color);
    color: var(--accent-color);
    transition: all 0.25s ease-out;
}

/* PRONOSTICO WRF */
/* FIGURAS */
.carousel {
    min-width: 660px;
}

.carousel-img,
.carousel-gif {
    max-height: 80vh;
    width: auto;
}

.carousel-item-next,
.carousel-item-prev,
.carousel-item.active {
    display: flex;
    justify-content: center;
}

.carousel-gif {
    display: block;
    margin-inline: auto;
    object-fit: scale-down;
}

/* FORM */
#myForm,
#pronostico_local_selector,
#pronostico_regional_selector {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
        Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

#station_selector:focus,
#pronostico_local_selector:focus,
#pronostico_regional_selector:focus {
    box-shadow: none !important;
    border-color: rgb(222, 226, 230) !important;
}

/* DATAFRAME TABLE */
tbody,
td,
tfoot,
th,
thead,
tr {
    font-size: 1rem;
    text-align: right;
    line-height: 1.5rem;
    color: var(--dark-color);
    padding-inline: 1rem;
}

th {
    background: hsl(0 0% 0% / 0.05);
}

thead>tr {
    border-bottom: 2px solid black;
}

tr:nth-of-type(2n) {
    background: hsl(0 0% 0% / 0.2);
}

tr:nth-child(8) {
    border-top: 2px solid black;
}

tbody {
    font-family: "Courier New", Courier, monospace;
}

.dataframe {
    border: none;
    min-width: 980px;
}

#dataframe {
    overflow-x: scroll;
    margin-left: auto;
    margin-right: auto;
}

@media (max-width: 992px) {

    th,
    td {
        font-size: 0.75rem;
    }
}

/* PROTOCOLO */
.pdf-button {
    position: fixed;
    top: 70px;
    right: 30px;
    z-index: 100000;
    background-color: transparent;
    border: 2px solid var(--dark-color);
    border-radius: 1.5rem;
    padding-inline: 1rem;
}

.title-link a {
    margin-left: 1rem;
    font-size: 1.2rem;
    color: var(--dark-accent-color);
    text-decoration: none;
}

.title-link a:hover {
    color: var(--accent-color);
}

#semaforo {
    width: 100px;
    height: auto;
}

/* GLOBAL */
.global-img {
    width: 80%;
    justify-self: center;
}

.tab-content-global>.active {
    display: flex;
    justify-content: center;
}

.tab-content-global>.tab-pane {
    padding-inline: 10%;
}

/* OCEANOGRAMA */
.oceangramheader {
    position: absolute;
    height: 548px;
    width: auto;
    z-index: 2;
}

.oceangram {
    position: relative;
    height: 560px;
    width: auto;
    z-index: 0;
}

@media (max-width: 992px) {
    .oceangramheader {
        height: 298px;
    }

    .oceangram {
        height: 310px;
    }
}

/* DESCARGAS */
.container-descargas {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: start;
}

@media (max-width: 992px) {
    .container-descargas {
        grid-template-columns: 1fr;
    }
}

#container-descargas-boletin,
#container-descargas-events,
#container-descargas-pronostico {
    display: grid;
    grid-template-columns: 1fr;
    margin-inline: auto;
    margin-top: 1rem;
    margin-bottom: 2rem;
    gap: 1rem;
}

/* ANIMACIONES SATELITALES */
.goes-container {
    display: grid;
    grid-template-columns: 70% 20%;
    row-gap: 3rem;
    column-gap: 3rem;
    margin: 10px;
    padding-inline: 1rem;
}

.goes-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    align-self: center;
}

@media (max-width: 1400px) {
    .goes-container {
        grid-template-columns: 1fr;
    }

    .d-medium-none {
        display: none;
    }

    .bottom-border-medium {
        text-align: center;
    }

    .bottom-border-medium::after {
        content: "";
        border-bottom: 2px solid var(--dark-color);
        width: 90vw;
        height: 2px;
        display: inherit;
        margin-top: 10px;
        margin-inline: auto;
    }
}